resource_rules:
  issues:
    rules:
      - name: Remind users to set relevant labels on their issues for changes or severities
        conditions:
          state: opened
          ruby: |
            (resource[:labels].grep(/^severity::\d+$/).empty? && resource[:labels].include?('incident')) || (resource[:labels].grep(/^C\d+$/).empty? && resource[:labels].include?('change'))
          forbidden_labels:
            - auto updated
        actions:
          labels:
            - auto updated
          comment: |
            Hi {{author}},

            This issue is labelled ~incident or ~change and we would like some more information about it.
            Please set the severity appropriately as defined by
              * [change criticalities](https://about.gitlab.com/handbook/engineering/infrastructure/change-management/#change-criticalities)
              * [incident severity](https://about.gitlab.com/handbook/engineering/infrastructure/incident-management/#incident-severity)

            Thanks for your help! :black_heart:

            ----

            You are welcome to help [improve this comment](https://gitlab.com/gitlab-com/gl-infra/triage-ops/blob/master/policies/production/severity-reminder-change-incidents.yml).
